#include <iostream>

using namespace std;

int main() {
    ios::sync_with_stdio(false); cin.tie(0);
	
	int N, L;
	cin>>N>>L;
	
	int H, rez = -1;
	for(int i = 0; i < N; i++){
		cin>>H;
		if(rez == -1 && H <= L) rez = i + 1;
	}
	
	cout<<rez;
	
	return 0;
}